# HyperEVM debug_traceBlockByHash

> import Tabs from '@theme/Tabs'
import TabItem from '@theme/TabItem'

# `debug_traceBlockByHash`

<Description />

## Parameters

- `blockHash`: (string) [_required_] The block hash to trace. On HyperEVM, this must be the hash of the **latest** block.
- Optional tracing options object with the following fields:
  - `tracer`: (string) _[optional]_ type of tracer. Supports `callTracer`.

## Returns

<Returns />

## Example

<Example />

### Request

<Tabs>
  <TabItem value="curl" label="curl" default>

```bash
curl https://hyperevm-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","method":"debug_traceBlockByHash","params":["0xb3b2061d85c877b0f607789c50b8b76a241ad30ca7c3dce2b62b07c452e52c9c",{"tracer":"callTracer"}],"id":1}'
```

  </TabItem>
</Tabs>

### Response

<Response />
